import { ElementType, useEffect } from "react";

export const WithHocTitle = (
  Component: ElementType,
  title: string = 'SDW React App'
) => {
  return function WithHocTitleComponent({ ...props }: {
    [key: string]: any;
  }) {
    useEffect(() => {
      document.title = title;
    }, []);

    return (
      <Component
        {...props}
      />
    );
  };
};
